Changes between Version 49 and Version 60 of Ticket #9958


Ignore:
Timestamp:
05/25/11 01:33:22 (10 years ago)
Author:
fbissey
Comment:

I am splitting the ticket again: in #11376 we make sage building system smart and work out the python version by itself. If we get this in the next alpha that will make testing easier as you won't need a patched sage spkg to build against python-2.7.1. One will still need to patch the doctests afterwards and any other issues but it will build.

In #11377 I put the clean up of module_list.py this is not necessary for python-2.7.1 per see but it would be a huge favour to me if it was going in (it makes work on sage-on-gentoo and sage-prefix much easier).

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #9958 – Description

    v49 v60  
    4242 1. sagetex
    4343 1. scipy
    44  1. scons
    4544 1. setuptools
    4645 1. sphinx
     
    5049 1. zodb3
    5150
    52 Depends on #11156 #11236 #11244 #11264 #11339 #11363
     51[scons will work with either python-2.6 or 2.7 without needing a rebuild]
     52
     53Depends on #11156 #11236 #11244 #11264 #11339 #11363 #11376
     54Optional #11377
    5355
    5456New spkg: [http://spkg-upload.googlecode.com/files/python-2.7.1.spkg]
     
    6466 * [attachment:trac_9958-sage_unittest.patch]
    6567 * [attachment:trac_9958-mixedfix.patch]
    66  * [attachment:trac_9958-build_setuppy.patch]
    67  * [attachment:trac_9958-build-sage_clib.patch]
    6868 * [attachment:trac_9958-build_misc_cythonpy.patch]
    69  * [attachment:trac_9958-build_module_listpy.patch]